<?php //###
//Acoustic template file,
//MP Audio Store plugin & Acoustic Theme
//created June 2013, Jonathan Potter, PotterVilla Applied Technology.
//http://pottervilla.com
//Version: 0.3.0
?>

<?php
//this is where your theme's basic code goes, if you've got anything special at the top of your page.php, for example.
//###?>

<?php get_header(); ?>
<div id="container">
<?php 
global $post;
	if( have_posts() ) {
		while( have_posts() ) {
			the_post();
			do_action( 'attitude_before_post' );
?>
	<section id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<article>
		
<?php //End your theme's code. Below is the acoustic templated theme. ?>

		<?php $plugins = get_option('active_plugins');?>
			<div style="float: left; width: 330px;">
				<?php mp_product_image(true, 'single')?><br />
				<?php // if ( in_array( 'media-element-html5-video-and-audio-player/mediaelement-js-wp.php' , $plugins ) ) { ?>
					<div style="clear: left;" class="product-audio-player">
						<audio id="wp_mep_2"      controls="controls" preload="none" style="width: 300px; overflow: none;" >
							<source src="<?php echo get_post_meta($post->ID, 'wp_audio_url', $single) ?>" type="audio/mp3" />
							<object width="300" height="30" type="application/x-shockwave-flash" data="<?php echo plugins_url();?>/media-element-html5-video-and-audio-player/mediaelement/flashmediaelement.swf">
								<param name="movie" value="<?php echo plugins_url();?>/media-element-html5-video-and-audio-player/mediaelement/flashmediaelement.swf" />
								<param name="flashvars" value="controls=true&amp;file=<?php echo get_post_meta($post->ID, 'acoustics_audio_url', $single) ?>" />			
							</object>		
						</audio>
						<script type="text/javascript">
						jQuery(document).ready(function($) {
							$('#wp_mep_2').mediaelementplayer({
								m:1
								
								,features: ['playpause','current','progress','duration','volume','tracks','fullscreen']
								,audioWidth:300,audioHeight:30
							});
						});
						</script>
					</div>
				<?php //}?>
			</div>
			<div style="float: left; width: 600px;">
			<header class="entry-header">
    			<h2 class="mp3-entry-title">
    				<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute();?>"><?php the_title(); ?></a><span class="price-dash"> - </span><span class="mp3-label"><?php mp_product_price(true,NULL,False);?></span> 
					<?php if(get_post_meta($post->ID, 'acoustics_media_short', $single) != ''){
						echo '<span class="mp3-label">'. get_post_meta($post->ID, 'acoustics_media_short', $single) .'</span> ';
					}?>
					<?php if(get_post_meta($post->ID, 'acoustics_type', $single) != ''){
						echo'<span class="mp3-label">'. get_post_meta($post->ID, 'acoustics_type', $single) .'</span>';
					}?>
    			</h2><!-- .entry-title -->
  			</header>
			<?php the_excerpt() ?>
			<?php
			if(get_post_meta($post->ID, 'acoustics_album', $single) != ''){
				echo '<strong>Album:</strong> ' . get_post_meta($post->ID, 'acoustics_album', $single);
			}
			if(get_post_meta($post->ID, 'acoustics_artist', $single) != ''){
			echo '<br /><strong>Artist:</strong> ' . get_post_meta($post->ID, 'acoustics_artist', $single);
			}
			if(get_post_meta($post->ID, 'acoustics_genre', $single) != ''){
			echo '<br /><strong>Genre:</strong> ' . get_post_meta($post->ID, 'acoustics_genre', $single);
			}
			if(get_post_meta($post->ID, 'acoustics_year', $single) != ''){
			echo '<br /><strong>Year:</strong> ' . get_post_meta($post->ID, 'acoustics_year', $single);
			}
			if(get_post_meta($post->ID, 'acoustics_media', $single) != ''){
			echo '<br /><strong>Media:</strong> ' . get_post_meta($post->ID, 'acoustics_media', $single);
			}
			if(get_post_meta($post->ID, 'acoustics_tracks', $single) != ''){
			echo '<br /><strong>Tracks:</strong> ' . get_post_meta($post->ID, 'acoustics_tracks', $single);
			}
			if(get_post_meta($post->ID, 'acoustics_runtime', $single) != ''){
			echo '<br /><strong>Runtime:</strong> ' . get_post_meta($post->ID, 'acoustics_runtime', $single);
			}
			echo '<br /><br />';
			echo ('<span style="font-size: 16pt; padding -bottom: 5px;">Price: ' .  mp_product_price(false,NULL,False) . '</span>');
			echo '<br />';
			echo '<table style="margin-top: 5px;"><tr><td>';
			mp_buy_button();
			echo '</td><td><a class="view_cart_link" href="/store/shopping-cart/">View Cart &raquo;</a></td></tr></table>';
			
			if ( in_array( 'facebook/facebook.php' , $plugins ) ) {
				echo do_shortcode('[facebook_like_button]');
			}
			?>
			

			
			</div>
			<div style="clear: both; width: 100%;">
			<h3 style="padding-top: 30px;">Description</h3>
  			<?php do_action( 'attitude_before_post_content' ); ?>
			<div class="entry-content clearfix">
    			<?php the_content(); ?>
  			</div>
			
<?php //Here's where your template picks back up again. Any special code for the footer goes here.?>
  			<?php
  			do_action( 'attitude_after_post_content' );
  			do_action( 'attitude_before_comments_template' ); 
         comments_template(); 
         do_action ( 'attitude_after_comments_template' );
         ?>
		 </div>
		</article>
	</section>
<?php
			do_action( 'attitude_after_post' );
		}
	}
	else {
		?>
		<h1 class="entry-title"><?php _e( 'No Posts Found.', 'attitude' ); ?></h1>
      <?php
   }
?>
</div>
<?php get_footer(); ?>